using the toolkit installer on "slow" (<=10 MBit/s) connections - tar snapshots instead of git?
Category: build-generator Estimated time: 0.00 hour
Description

I am trying to set up a distribution at home over a DSL Connection. This takes forever...

What about a policy that we use tar snapshots for all (or at least external) projects files where possible instead of git?

For example opencv/morse etc take ages to download or fail due to timeouts.

(it seems like the opencv git is also extremly slow right now, its syncing with <100kb/s)

The situation how it is right now (checking out during job config, then twice during build) is not really usable to me.

My solution right now is that i switched back to install the (large) projects manually instead of using the toolkit installer which i really

do not want to do.

Related issues:

related to Cognitive Interaction Toolkit - Feature # 412: multiple cloning of... Resolved 2015-06-10

History

#1 - 2014-11-22 09:41 - Simon Schulz

- Description updated

#2 - 2014-11-22 11:25 - Simon Schulz

the build gen could add a timeout for git pulls. i now do this manually:

job configuration, and under git plugin section:

Click "Add"

    Click "Advanced clone behaviours"

then i set the checkout timeout to 120

#3 - 2014-11-23 19:46 - Simon Schulz

a nice workaround:

open the project settings and replace the git url with /home/sschulz/src/opencv

after you checked out opencv to ~/src/opencv

#4 - 2015-10-12 17:02 - Jan Moringen

- Category set to build-generator

- Status changed from New to In Progress

- Assignee set to Jan Moringen

- % Done changed from 0 to 20

Current progress:

Clone operations during build have reduced from two to one (kind of generated jobs has been changed matrix project -> "normal" project)
Incremental download of updates (i.e. git pull) has been prototypically implemented for the build-generator side and is currently undergoing

testing (see #412)

Incremental download for the Jenkins side may be possible in a similar fashion but this needs exploration

I vote against tar-archives as an additional form of distribution/retrieval because of the added complexity.

#5 - 2015-10-12 17:02 - Jan Moringen

- related to Feature #412: multiple cloning of gits - an idea for load reduction for servers + slow connections added

#6 - 2016-01-12 15:30 - Martin Wiechmann

Please consider this as an alternative:

git clone -b <tagName/branchName> --depth 1

 

From the git-clone manpage:

--branch <name>, -b <name>

Instead of pointing the newly created HEAD to the branch pointed to by the cloned repository’s HEAD, point to <name> branch instead. In a

non-bare repository, this is the branch that will be checked out.  --branch can also take tags and detaches the HEAD at that commit in the

resulting repository.

 

The option --depth 1 creates a shallowed copy and efficently reduces both remote system load and transfer time.

#7 - 2016-04-08 15:10 - Jan Moringen

- Status changed from In Progress to Closed

Martin Wiechmann wrote:

Please consider this as an alternative:

[...]

From the git-clone manpage:

--branch <name>, -b <name>

Instead of pointing the newly created HEAD to the branch pointed to by the cloned repository’s HEAD, point to <name> branch instead. In a

non-bare repository, this is the branch that will be checked out.  --branch can also take tags and detaches the HEAD at that commit in the

resulting repository.
The build-generator already uses this.

The option --depth 1 creates a shallowed copy and efficently reduces both remote system load and transfer time.

 

This is a configuration option as well.
